Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.display.canvas
Class FeatureLayerEvent

    Object
      EventObject
          FeatureLayerEvent

All Implemented Interfaces:
  Serializable

    public class FeatureLayerEvent

extends EventObject

Instance of this event are passed to `FeatureLayerListener`s when a property of the canvas has changed.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class EventObject
`source`

Constructor Summary
`FeatureLayerEvent(FeatureLayer layer, Object newValue)` Constructs an event for a feature layer's property initialized to a value.
`FeatureLayerEvent(FeatureLayer layer, Object oldValue, Object newValue)` Constructs an event for a feature layer's property set to a new value.

Method Summary
`FeatureLayer` | `getLayer()` Synonym for `getSource()`.
`Object` | `getNewValue()` Returns the new value, or `null` in none.
`Object` | `getOldValue()` Returns the old value, or `null` in none.
`Object` | `getSource()` Returns the modified layer.

Methods inherited from class EventObject
`toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureLayerEvent

    public FeatureLayerEvent(FeatureLayer layer,
                             Object newValue)

  Constructs an event for a feature layer's property initialized to a value.

  Parameters:
    `layer` - The modified layer.
    `newValue` - The new value.

### FeatureLayerEvent

    public FeatureLayerEvent(FeatureLayer layer,
                             Object oldValue,
                             Object newValue)

  Constructs an event for a feature layer's property set to a new value.

  Parameters:
    `layer` - The modified layer.
    `oldValue` - The old value, or `null` in none.
    `newValue` - The new value, or `null` in none.

Method Detail

### getOldValue

    public Object getOldValue()

  Returns the old value, or `null` in none.

### getNewValue

    public Object getNewValue()

  Returns the new value, or `null` in none.

### getSource

    public Object getSource()

  Returns the modified layer.

  Overrides:
    `getSource` in class `EventObject`

### getLayer

    public FeatureLayer getLayer()

  Synonym for `getSource()`.

  TODO:
    To be replaced by `getSource()` in a J2SE 1.5 profile.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.